/**
 * Configuration_Overall.h
 * Here you can define all your custom settings and they will overwrite configurations in the main configuration files.
 */

/**** CONFIGURATION BASIC ****/
#define SERIAL_PORT 0
#define BAUDRATE 115200
#define STRING_CONFIG_H_AUTHOR "(none, default config)"
#define MACHINE_UUID "00000000-0000-0000-0000-000000000000"
#define MOTHERBOARD BOARD_RAMPS_13_HHF
#define MECHANISM MECH_CARTESIAN
#define POWER_SUPPLY 0
#define EXTRUDERS 2
#define DRIVER_EXTRUDERS 2

/**** CONFIGURATION CARTESIAN ****/
#define CUSTOM_MACHINE_NAME "Ice3D"
#define X_MIN_ENDSTOP_LOGIC   true   
#define Y_MIN_ENDSTOP_LOGIC   true 
#define Z_MIN_ENDSTOP_LOGIC   true   
#define Z2_MIN_ENDSTOP_LOGIC  true   
#define X_MAX_ENDSTOP_LOGIC   true   
#define Y_MAX_ENDSTOP_LOGIC   true
#define Z_MAX_ENDSTOP_LOGIC   true
#define Z2_MAX_ENDSTOP_LOGIC  true
#define Z_PROBE_ENDSTOP_LOGIC true   
#define E_MIN_ENDSTOP_LOGIC   true
#define Z_ENDSTOP_SERVO_NR 0
#define Z_ENDSTOP_SERVO_ANGLES {0,180}
//#define Z_PROBE_FIX_MOUNTED
#define X_PROBE_OFFSET_FROM_NOZZLE  0     
#define Y_PROBE_OFFSET_FROM_NOZZLE  0     
#define Z_PROBE_OFFSET_FROM_NOZZLE -21.05    
#define X_HOME_DIR -1
#define Y_HOME_DIR 1
#define Z_HOME_DIR 1
#define E_HOME_DIR 1
#define MIN_Z_HEIGHT_FOR_HOMING   0
#define INVERT_X_DIR true
#define X_MAX_POS 300
#define X_MIN_POS 0
#define Y_MAX_POS 250
#define Y_MIN_POS 0
#define Z_MAX_POS 250
#define Z_MIN_POS 0
#define E_MIN_POS 0
#define AUTO_BED_LEVELING_FEATURE
#define DEFAULT_AXIS_STEPS_PER_UNIT   {159.757,158.933,800,102.308,102.308,102.308,102.308}

/**** CONFIGURATION FEATURE ****/
#define ENABLE_SERVOS
#define NUM_SERVOS 1
#define DEACTIVATE_SERVOS_AFTER_MOVE
#define DUAL_X_CARRIAGE
#define X2_MIN_POS 10
#define X2_MAX_POS 190
#define X2_HOME_DIR 1     
#define X2_HOME_POS X2_MAX_POS
#define DEFAULT_DUAL_X_CARRIAGE_MODE 1
#define X_DUAL_STEPPER_DRIVERS
#define LCD_LANGUAGE es

/**** CONFIGURATION TEMPERATURE ****/
#define TEMP_SENSOR_0 11
#define TEMP_SENSOR_1 11




